import { AfterViewInit, ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSignatureElement } from "../../elements/StiSignatureElement";
import { StiMouseService } from "../../services/mouse.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { Subscription } from "rxjs/internal/Subscription";
import { SignatureService } from "../../services/sti-signature.service";
export declare class StiSignatureComponent implements OnInit, AfterViewInit, DoCheck, OnDestroy {
    model: StiModelService;
    mouse: StiMouseService;
    resize: StiComponentResizerService;
    loc: StiLocalizationService;
    signatureService: SignatureService;
    private cdr;
    element: StiSignatureElement;
    isClone: boolean;
    sigPad: ElementRef;
    text: ElementRef;
    ref: ElementRef;
    label: ElementRef;
    mouseUpSubscription: Subscription;
    buttonClickSubscribe: Subscription;
    loadedImageSubscribe: Subscription;
    topMargin: number;
    labelRef: any;
    drawingMode: boolean;
    textMode: boolean;
    isDrawing: boolean;
    context: any;
    sigPadElement: any;
    textContent: any;
    get align(): string;
    get cursor(): string;
    get canvasWidth(): number;
    get isSignature(): boolean;
    get canvasHeight(): number;
    constructor(model: StiModelService, mouse: StiMouseService, resize: StiComponentResizerService, loc: StiLocalizationService, signatureService: SignatureService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngDoCheck(): void;
    ngAfterViewInit(): void;
    onMouseUp(event: any): void;
    onMouseDown(event: any): void;
    onMouseMove(event: any): void;
    ngOnInit(): void;
    UpdateState(): void;
    saveState(): void;
    private relativeCoords;
    clear(): void;
    save(): void;
    drawImage(url: any): void;
}
